Memcached::add
Memcached::addServer
Memcached
PHP Manual

# Memcached::addByKey

(PECL memcached >= 0.1.0)

Memcached::addByKey — Ajoute un élément sur un serveur désigné

### Description

public bool Memcached::addByKey ( string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::addByKey() est fonctionnellement équivalent à Memcached::add(), mais la variable libre `server_key` peut être utilisée pour diriger la clé `key` sur un serveur spécifique.

### Liste de paramètres

`server_key`

  La clé d'identification du serveur de stockage ou de récupération. Au lieu de hacher avec la clé courante pour l'élément, nous hachons avec la clé serveur lorsqu'il est décidé avec quel serveur memcache il convient de dialoguer. Ceci permet le regroupement des éléments correspondants sur un seul serveur permettant de meilleures performances lors d'opérations multiples.

`key`

  La clé avec laquelle stocker la valeur.

`value`

  La valeur à stocker.

`expiration`

  Le délai d'expiration, par défaut à zéro. Voyez délais d'expiration pour plus d'informations.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient. La méthode Memcached::getResultCode() va retourner la constante `Memcached::RES_NOTSTORED` si la clé existe déjà.

### Voir aussi

- Memcached::add() - Ajoute un nouvel élément sous une nouvelle clé
- Memcached::set() - Stocke un élément
- Memcached::replace() - Remplace un élément sous une clé

Memcached::add
Memcached::addServer
Memcached
PHP Manual